<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/SDL_syswm.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SDL_syswm.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_s_d_l__syswm_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">  Simple DirectMedia Layer</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">  Copyright (C) 1997-2020 Sam Lantinga &lt;slouken@libsdl.org&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">  This software is provided &#39;as-is&#39;, without any express or implied</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">  warranty.  In no event will the authors be held liable for any damages</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">  arising from the use of this software.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">  Permission is granted to anyone to use this software for any purpose,</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">  including commercial applications, and to alter it and redistribute it</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">  freely, subject to the following restrictions:</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">  1. The origin of this software must not be misrepresented; you must not</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">     claim that you wrote the original software. If you use this software</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">     in a product, an acknowledgment in the product documentation would be</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">     appreciated but is not required.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">  2. Altered source versions must be plainly marked as such, and must not be</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">     misrepresented as being the original software.</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">  3. This notice may not be removed or altered from any source distribution.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">*/</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#ifndef SDL_syswm_h_</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#define SDL_syswm_h_</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__stdinc_8h.html">SDL_stdinc.h</a>&quot;</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__error_8h.html">SDL_error.h</a>&quot;</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__video_8h.html">SDL_video.h</a>&quot;</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__version_8h.html">SDL_version.h</a>&quot;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keyword">struct </span><a class="code" href="struct_s_d_l___sys_w_minfo.html">SDL_SysWMinfo</a>;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#if !defined(SDL_PROTOTYPES_ONLY)</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_WINDOWS)</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#ifndef WIN32_LEAN_AND_MEAN</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#define WIN32_LEAN_AND_MEAN</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#ifndef NOMINMAX   </span><span class="comment">/* don&#39;t define min() and max(). */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#define NOMINMAX</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#include &lt;windows.h&gt;</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_WINRT)</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">#include &lt;Inspectable.h&gt;</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="comment">/* This is the structure for custom window manager events */</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_X11)</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="preprocessor">#if defined(__APPLE__) &amp;&amp; defined(__MACH__)</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="comment">/* conflicts with Quickdraw.h */</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#define Cursor X11Cursor</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#include &lt;X11/Xlib.h&gt;</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#include &lt;X11/Xatom.h&gt;</span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#if defined(__APPLE__) &amp;&amp; defined(__MACH__)</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="comment">/* matches the re-define above */</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#undef Cursor</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* defined(SDL_VIDEO_DRIVER_X11) */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_DIRECTFB)</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#include &lt;directfb.h&gt;</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_COCOA)</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="preprocessor">#ifdef __OBJC__</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="keyword">@class</span> NSWindow;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>_NSWindow NSWindow;</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_UIKIT)</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#ifdef __OBJC__</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="preprocessor">#include &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>_UIWindow UIWindow;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>_UIViewController UIViewController;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keyword">typedef</span> Uint32 GLuint;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_ANDROID)</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>ANativeWindow ANativeWindow;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;<span class="keyword">typedef</span> <span class="keywordtype">void</span> *EGLSurface;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_VIVANTE)</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__egl_8h.html">SDL_egl.h</a>&quot;</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160; </div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_OS2)</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="preprocessor">#define INCL_WIN</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="preprocessor">#include &lt;os2.h&gt;</span></div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* SDL_PROTOTYPES_ONLY */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160; </div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="begin__code_8h.html">begin_code.h</a>&quot;</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="comment">/* Set up for C function definitions, even when using C++ */</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160; </div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="preprocessor">#if !defined(SDL_PROTOTYPES_ONLY)</span></div>
<div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="_s_d_l__syswm_8h.html#a064c26598287280fff2a00d6758ac4f7">  127</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;{</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    SDL_SYSWM_UNKNOWN,</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    SDL_SYSWM_WINDOWS,</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    SDL_SYSWM_X11,</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    SDL_SYSWM_DIRECTFB,</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    SDL_SYSWM_COCOA,</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    SDL_SYSWM_UIKIT,</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    SDL_SYSWM_WAYLAND,</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    SDL_SYSWM_MIR,  <span class="comment">/* no longer available, left for API/ABI compatibility. Remove in 2.1! */</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    SDL_SYSWM_WINRT,</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    SDL_SYSWM_ANDROID,</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    SDL_SYSWM_VIVANTE,</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    SDL_SYSWM_OS2,</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    SDL_SYSWM_HAIKU</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;} <a class="code" href="_s_d_l__syswm_8h.html#a064c26598287280fff2a00d6758ac4f7">SDL_SYSWM_TYPE</a>;</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160; </div>
<div class="line"><a name="l00147"></a><span class="lineno"><a class="line" href="struct_s_d_l___sys_w_mmsg.html">  147</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_s_d_l___sys_w_mmsg.html">SDL_SysWMmsg</a></div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;{</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    <a class="code" href="struct_s_d_l__version.html">SDL_version</a> version;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <a class="code" href="_s_d_l__syswm_8h.html#a064c26598287280fff2a00d6758ac4f7">SDL_SYSWM_TYPE</a> subsystem;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <span class="keyword">union</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    {</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_WINDOWS)</span></div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="struct_s_d_l___sys_w_mmsg.html#a55cf9583b5eddfe60a5c9851f9cce457">  155</a></span>&#160;            HWND <a class="code" href="struct_s_d_l___sys_w_mmsg.html#a55cf9583b5eddfe60a5c9851f9cce457">hwnd</a>;                  </div>
<div class="line"><a name="l00156"></a><span class="lineno"><a class="line" href="struct_s_d_l___sys_w_mmsg.html#a74894ed060d5508ab06aac584154d61e">  156</a></span>&#160;            UINT <a class="code" href="struct_s_d_l___sys_w_mmsg.html#a74894ed060d5508ab06aac584154d61e">msg</a>;                   </div>
<div class="line"><a name="l00157"></a><span class="lineno"><a class="line" href="struct_s_d_l___sys_w_mmsg.html#a7463730478d90ebc031d83098f3f74fc">  157</a></span>&#160;            WPARAM <a class="code" href="struct_s_d_l___sys_w_mmsg.html#a7463730478d90ebc031d83098f3f74fc">wParam</a>;              </div>
<div class="line"><a name="l00158"></a><span class="lineno"><a class="line" href="struct_s_d_l___sys_w_mmsg.html#a24c1e4c3cb8d9781d34e5d99df66ac36">  158</a></span>&#160;            LPARAM <a class="code" href="struct_s_d_l___sys_w_mmsg.html#a24c1e4c3cb8d9781d34e5d99df66ac36">lParam</a>;              </div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        } win;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_X11)</span></div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;        <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;            XEvent event;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        } x11;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_DIRECTFB)</span></div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;            DFBEvent event;</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;        } dfb;</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_COCOA)</span></div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;        {</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;            <span class="comment">/* Latest version of Xcode clang complains about empty structs in C v. C++:</span></div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="comment">                 error: empty struct has size 0 in C, size 1 in C++</span></div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="comment">             */</span></div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;            <span class="keywordtype">int</span> dummy;</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;            <span class="comment">/* No Cocoa window events yet */</span></div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;        } cocoa;</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_UIKIT)</span></div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;        {</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;            <span class="keywordtype">int</span> dummy;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;            <span class="comment">/* No UIKit window events yet */</span></div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;        } uikit;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_VIVANTE)</span></div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;        {</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;            <span class="keywordtype">int</span> dummy;</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;            <span class="comment">/* No Vivante window events yet */</span></div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;        } vivante;</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_OS2)</span></div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;        {</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;            BOOL fFrame;                </div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;            HWND <a class="code" href="struct_s_d_l___sys_w_mmsg.html#a55cf9583b5eddfe60a5c9851f9cce457">hwnd</a>;                  </div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;            ULONG <a class="code" href="struct_s_d_l___sys_w_mmsg.html#a74894ed060d5508ab06aac584154d61e">msg</a>;                  </div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;            MPARAM mp1;                 </div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;            MPARAM mp2;                 </div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;        } os2;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;        <span class="comment">/* Can&#39;t have an empty union */</span></div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;        <span class="keywordtype">int</span> dummy;</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    } <a class="code" href="struct_s_d_l___sys_w_mmsg.html#a74894ed060d5508ab06aac584154d61e">msg</a>;</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;};</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160; </div>
<div class="line"><a name="l00216"></a><span class="lineno"><a class="line" href="struct_s_d_l___sys_w_minfo.html">  216</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_s_d_l___sys_w_minfo.html">SDL_SysWMinfo</a></div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;{</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    <a class="code" href="struct_s_d_l__version.html">SDL_version</a> version;</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    <a class="code" href="_s_d_l__syswm_8h.html#a064c26598287280fff2a00d6758ac4f7">SDL_SYSWM_TYPE</a> subsystem;</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    <span class="keyword">union</span></div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    {</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_WINDOWS)</span></div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;        {</div>
<div class="line"><a name="l00225"></a><span class="lineno"><a class="line" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">  225</a></span>&#160;            HWND <a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>;                </div>
<div class="line"><a name="l00226"></a><span class="lineno"><a class="line" href="struct_s_d_l___sys_w_minfo.html#a5c9d0745b083422834681e99c38b803e">  226</a></span>&#160;            HDC <a class="code" href="struct_s_d_l___sys_w_minfo.html#a5c9d0745b083422834681e99c38b803e">hdc</a>;                    </div>
<div class="line"><a name="l00227"></a><span class="lineno"><a class="line" href="struct_s_d_l___sys_w_minfo.html#ae3e93d21e2b20b2069f5f7d5308194f1">  227</a></span>&#160;            HINSTANCE <a class="code" href="struct_s_d_l___sys_w_minfo.html#ae3e93d21e2b20b2069f5f7d5308194f1">hinstance</a>;        </div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;        } win;</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_WINRT)</span></div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;        {</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;            IInspectable * <a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>;      </div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;        } winrt;</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_X11)</span></div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;        {</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;            Display *display;           </div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;            Window <a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>;              </div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;        } x11;</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_DIRECTFB)</span></div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;        {</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;            IDirectFB *dfb;             </div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;            IDirectFBWindow *<a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>;    </div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;            IDirectFBSurface *surface;  </div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;        } dfb;</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_COCOA)</span></div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;        {</div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;<span class="preprocessor">#if defined(__OBJC__) &amp;&amp; defined(__has_feature) &amp;&amp; __has_feature(objc_arc)</span></div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;            NSWindow __unsafe_unretained *<a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>; </div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;            NSWindow *<a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>;                     </div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;        } cocoa;</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_UIKIT)</span></div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;        {</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;<span class="preprocessor">#if defined(__OBJC__) &amp;&amp; defined(__has_feature) &amp;&amp; __has_feature(objc_arc)</span></div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;            UIWindow __unsafe_unretained *<a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>; </div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;            UIWindow *<a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>;                     </div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;            GLuint framebuffer; </div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;            GLuint colorbuffer; </div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;            GLuint resolveFramebuffer; </div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;        } uikit;</div>
<div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_WAYLAND)</span></div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;        {</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;            <span class="keyword">struct </span>wl_display *display;            </div>
<div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;            <span class="keyword">struct </span>wl_surface *surface;            </div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;            <span class="keyword">struct </span>wl_shell_surface *shell_surface; </div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;        } wl;</div>
<div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_MIR)  </span><span class="comment">/* no longer available, left for API/ABI compatibility. Remove in 2.1! */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;        {</div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;            <span class="keywordtype">void</span> *connection;  </div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;            <span class="keywordtype">void</span> *surface;  </div>
<div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;        } mir;</div>
<div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160; </div>
<div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_ANDROID)</span></div>
<div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;        {</div>
<div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;            ANativeWindow *<a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>;</div>
<div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;            EGLSurface surface;</div>
<div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;        } android;</div>
<div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160; </div>
<div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_OS2)</span></div>
<div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;        {</div>
<div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;            HWND hwnd;                  </div>
<div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;            HWND hwndFrame;             </div>
<div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;        } os2;</div>
<div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160; </div>
<div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;<span class="preprocessor">#if defined(SDL_VIDEO_DRIVER_VIVANTE)</span></div>
<div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;        <span class="keyword">struct</span></div>
<div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;        {</div>
<div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;            EGLNativeDisplayType display;</div>
<div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;            EGLNativeWindowType <a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>;</div>
<div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;        } vivante;</div>
<div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160; </div>
<div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;        <span class="comment">/* Make sure this union is always 64 bytes (8 64-bit pointers). */</span></div>
<div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;        <span class="comment">/* Be careful not to overflow this if you add a new target! */</span></div>
<div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;        Uint8 dummy[64];</div>
<div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;    } info;</div>
<div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;};</div>
<div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160; </div>
<div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* SDL_PROTOTYPES_ONLY */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160; </div>
<div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_s_d_l___sys_w_minfo.html">SDL_SysWMinfo</a> <a class="code" href="struct_s_d_l___sys_w_minfo.html">SDL_SysWMinfo</a>;</div>
<div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160; </div>
<div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;<span class="comment">/* Function prototypes */</span></div>
<div class="line"><a name="l00342"></a><span class="lineno"><a class="line" href="_s_d_l__syswm_8h.html#ad6e40121a96c88af20d9469a04706fef">  342</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL <a class="code" href="_s_d_l__syswm_8h.html#ad6e40121a96c88af20d9469a04706fef">SDL_GetWindowWMInfo</a>(<a class="code" href="_s_d_l__video_8h.html#a55a196c7d3b8497538632c79ae1e6392">SDL_Window</a> * <a class="code" href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">window</a>,</div>
<div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;                                                     <a class="code" href="struct_s_d_l___sys_w_minfo.html">SDL_SysWMinfo</a> * info);</div>
<div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160; </div>
<div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160; </div>
<div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;<span class="comment">/* Ends C function definitions when using C++ */</span></div>
<div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;}</div>
<div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="close__code_8h.html">close_code.h</a>&quot;</span></div>
<div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160; </div>
<div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* SDL_syswm_h_ */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160; </div>
<div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;<span class="comment">/* vi: set ts=4 sw=4 expandtab: */</span></div>
<div class="ttc" id="a_s_d_l__egl_8h_html"><div class="ttname"><a href="_s_d_l__egl_8h.html">SDL_egl.h</a></div></div>
<div class="ttc" id="a_s_d_l__error_8h_html"><div class="ttname"><a href="_s_d_l__error_8h.html">SDL_error.h</a></div></div>
<div class="ttc" id="a_s_d_l__stdinc_8h_html"><div class="ttname"><a href="_s_d_l__stdinc_8h.html">SDL_stdinc.h</a></div></div>
<div class="ttc" id="a_s_d_l__syswm_8h_html_a064c26598287280fff2a00d6758ac4f7"><div class="ttname"><a href="_s_d_l__syswm_8h.html#a064c26598287280fff2a00d6758ac4f7">SDL_SYSWM_TYPE</a></div><div class="ttdeci">SDL_SYSWM_TYPE</div><div class="ttdef"><b>Definition:</b> SDL_syswm.h:128</div></div>
<div class="ttc" id="a_s_d_l__syswm_8h_html_ad6e40121a96c88af20d9469a04706fef"><div class="ttname"><a href="_s_d_l__syswm_8h.html#ad6e40121a96c88af20d9469a04706fef">SDL_GetWindowWMInfo</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_GetWindowWMInfo(SDL_Window *window, SDL_SysWMinfo *info)</div><div class="ttdoc">This function allows access to driver-dependent window information.</div></div>
<div class="ttc" id="a_s_d_l__version_8h_html"><div class="ttname"><a href="_s_d_l__version_8h.html">SDL_version.h</a></div></div>
<div class="ttc" id="a_s_d_l__video_8h_html"><div class="ttname"><a href="_s_d_l__video_8h.html">SDL_video.h</a></div></div>
<div class="ttc" id="a_s_d_l__video_8h_html_a55a196c7d3b8497538632c79ae1e6392"><div class="ttname"><a href="_s_d_l__video_8h.html#a55a196c7d3b8497538632c79ae1e6392">SDL_Window</a></div><div class="ttdeci">struct SDL_Window SDL_Window</div><div class="ttdoc">The type used to identify a window.</div><div class="ttdef"><b>Definition:</b> SDL_video.h:90</div></div>
<div class="ttc" id="abegin__code_8h_html"><div class="ttname"><a href="begin__code_8h.html">begin_code.h</a></div></div>
<div class="ttc" id="aclose__code_8h_html"><div class="ttname"><a href="close__code_8h.html">close_code.h</a></div></div>
<div class="ttc" id="astruct_s_d_l___sys_w_minfo_html"><div class="ttname"><a href="struct_s_d_l___sys_w_minfo.html">SDL_SysWMinfo</a></div><div class="ttdef"><b>Definition:</b> SDL_syswm.h:217</div></div>
<div class="ttc" id="astruct_s_d_l___sys_w_minfo_html_a5c9d0745b083422834681e99c38b803e"><div class="ttname"><a href="struct_s_d_l___sys_w_minfo.html#a5c9d0745b083422834681e99c38b803e">SDL_SysWMinfo::hdc</a></div><div class="ttdeci">HDC hdc</div><div class="ttdef"><b>Definition:</b> SDL_syswm.h:226</div></div>
<div class="ttc" id="astruct_s_d_l___sys_w_minfo_html_ae3e93d21e2b20b2069f5f7d5308194f1"><div class="ttname"><a href="struct_s_d_l___sys_w_minfo.html#ae3e93d21e2b20b2069f5f7d5308194f1">SDL_SysWMinfo::hinstance</a></div><div class="ttdeci">HINSTANCE hinstance</div><div class="ttdef"><b>Definition:</b> SDL_syswm.h:227</div></div>
<div class="ttc" id="astruct_s_d_l___sys_w_minfo_html_af06225591ff07e837bbd037728a525b9"><div class="ttname"><a href="struct_s_d_l___sys_w_minfo.html#af06225591ff07e837bbd037728a525b9">SDL_SysWMinfo::window</a></div><div class="ttdeci">HWND window</div><div class="ttdef"><b>Definition:</b> SDL_syswm.h:225</div></div>
<div class="ttc" id="astruct_s_d_l___sys_w_mmsg_html"><div class="ttname"><a href="struct_s_d_l___sys_w_mmsg.html">SDL_SysWMmsg</a></div><div class="ttdef"><b>Definition:</b> SDL_syswm.h:148</div></div>
<div class="ttc" id="astruct_s_d_l___sys_w_mmsg_html_a24c1e4c3cb8d9781d34e5d99df66ac36"><div class="ttname"><a href="struct_s_d_l___sys_w_mmsg.html#a24c1e4c3cb8d9781d34e5d99df66ac36">SDL_SysWMmsg::lParam</a></div><div class="ttdeci">LPARAM lParam</div><div class="ttdef"><b>Definition:</b> SDL_syswm.h:158</div></div>
<div class="ttc" id="astruct_s_d_l___sys_w_mmsg_html_a55cf9583b5eddfe60a5c9851f9cce457"><div class="ttname"><a href="struct_s_d_l___sys_w_mmsg.html#a55cf9583b5eddfe60a5c9851f9cce457">SDL_SysWMmsg::hwnd</a></div><div class="ttdeci">HWND hwnd</div><div class="ttdef"><b>Definition:</b> SDL_syswm.h:155</div></div>
<div class="ttc" id="astruct_s_d_l___sys_w_mmsg_html_a7463730478d90ebc031d83098f3f74fc"><div class="ttname"><a href="struct_s_d_l___sys_w_mmsg.html#a7463730478d90ebc031d83098f3f74fc">SDL_SysWMmsg::wParam</a></div><div class="ttdeci">WPARAM wParam</div><div class="ttdef"><b>Definition:</b> SDL_syswm.h:157</div></div>
<div class="ttc" id="astruct_s_d_l___sys_w_mmsg_html_a74894ed060d5508ab06aac584154d61e"><div class="ttname"><a href="struct_s_d_l___sys_w_mmsg.html#a74894ed060d5508ab06aac584154d61e">SDL_SysWMmsg::msg</a></div><div class="ttdeci">UINT msg</div><div class="ttdef"><b>Definition:</b> SDL_syswm.h:156</div></div>
<div class="ttc" id="astruct_s_d_l__version_html"><div class="ttname"><a href="struct_s_d_l__version.html">SDL_version</a></div><div class="ttdoc">Information the version of SDL in use.</div><div class="ttdef"><b>Definition:</b> SDL_version.h:52</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
